## START: Set by rpmautospec
## (rpmautospec version 0.6.0)
## RPMAUTOSPEC: autorelease, autochangelog
%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 2;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}
## END: Set by rpmautospec

%global forgeurl https://github.com/glotzerlab/gsd
Version:        3.3.2
%forgemeta

Name:           python-gsd
Release:        %autorelease
Summary:        Read and write GSD files for use with HOOMD-blue

License:        BSD-2-Clause
URL:            %{forgeurl}
Source0:        %{forgesource}

BuildRequires:  python3-devel
BuildRequires:  gcc
BuildRequires:  %{py3_dist pytest}

%global _description %{expand:
The GSD file format is the native file format for HOOMD-blue. GSD files store
trajectories of the HOOMD-blue system state in a binary file with efficient
random access to frames. GSD allows all particle and topology properties to vary
from one frame to the next. Use the GSD Python API to specify the initial
condition for a HOOMD-blue simulation or analyze trajectory output with a
script. Read a GSD trajectory with a visualization tool to explore the behavior
of the simulation.}

%description %_description

%package -n     python3-gsd
Summary:        %{summary}

%description -n python3-gsd %_description

%prep
%autosetup -p1 -n gsd-%{version}

sed -i 's/numpy>=2.0.0rc1/numpy/' pyproject.toml

%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files gsd

%check
ln -s %{buildroot}%{python3_sitearch}/gsd/fl.cpython-%{python3_version_nodots}-%{python3_platform_triplet}.so gsd/
# reading little-endian files on big-endian is unsupported
# https://github.com/glotzerlab/gsd/issues/12
# https://kojipkgs.fedoraproject.org/work/tasks/4655/111424655/build.log
%pytest -v gsd \
    --basetemp=$(mktemp -d -p %{_tmppath}) \
%ifarch s390x
-k "not test_gsd_v1_read \
and not test_gsd_v1_upgrade_read \
and not test_gsd_v1_write \
and not test_gsd_v1_upgrade_write"
%endif


%files -n python3-gsd -f %{pyproject_files}
%{_bindir}/gsd


%changelog
## START: Generated by rpmautospec
* Sun Sep 08 2024 topazus <topazus@outlook.com> - 3.3.2-2
- fix packit

* Sun Sep 08 2024 topazus <topazus@outlook.com> - 3.3.2-1
- 3.3.2

* Fri Jul 19 2024 Fedora Release Engineering <releng@fedoraproject.org> - 3.2.0-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_41_Mass_Rebuild

* Sat Jun 08 2024 Python Maint <python-maint@redhat.com> - 3.2.0-5
- Rebuilt for Python 3.13

* Fri Jan 26 2024 Fedora Release Engineering <releng@fedoraproject.org> - 3.2.0-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_40_Mass_Rebuild

* Mon Jan 22 2024 Fedora Release Engineering <releng@fedoraproject.org> - 3.2.0-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_40_Mass_Rebuild

* Sun Jan 07 2024 Packit <hello@packit.dev> - 3.2.0-2
- [packit] 3.2.0 upstream release
- Resolves rhbz#2241006

* Sun Jan 07 2024 topazus <topazus@outlook.com> - 3.2.0-1
- update to 3.2.0; add packit

* Thu Aug 31 2023 Dominik Mierzejewski <dominik@greysector.net> - 3.1.1-1
- update to 3.1.1 (resolves rhbz#2216364)

* Fri Jul 21 2023 Fedora Release Engineering <releng@fedoraproject.org> - 3.0.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_39_Mass_Rebuild

* Sat Jun 17 2023 Dominik Mierzejewski <dominik@greysector.net> - 3.0.0-1
- update to 3.0.0 (resolves rhbz#2186594)

* Tue Jun 13 2023 Python Maint <python-maint@redhat.com> - 2.8.0-2
- Rebuilt for Python 3.12

* Sun Mar 19 2023 Dominik Mierzejewski <dominik@greysector.net> - 2.8.0-1
- update to 2.8.0 (resolves rhbz#2119834)

* Fri Jan 20 2023 Fedora Release Engineering <releng@fedoraproject.org> - 2.5.2-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_38_Mass_Rebuild

* Fri Jul 22 2022 Fedora Release Engineering <releng@fedoraproject.org> - 2.5.2-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_37_Mass_Rebuild

* Mon Jun 13 2022 Python Maint <python-maint@redhat.com> - 2.5.2-2
- Rebuilt for Python 3.11

* Tue May 31 2022 Dominik Mierzejewski <dominik@greysector.net> - 2.5.2-1
- update to 2.5.2 (fixes rhbz#2075808)

* Fri Jan 21 2022 Fedora Release Engineering <releng@fedoraproject.org> - 2.5.1-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_36_Mass_Rebuild

* Sat Dec 04 2021 Dominik Mierzejewski <rpm@greysector.net> - 2.5.1-1
- update to 2.5.1 (#2024221)

* Fri Oct 15 2021 Dominik Mierzejewski <rpm@greysector.net> - 2.5.0-1
- update to 2.5.0 (#2013823)

* Fri Jul 23 2021 Fedora Release Engineering <releng@fedoraproject.org> - 2.4.2-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_35_Mass_Rebuild

* Fri Jun 04 2021 Python Maint <python-maint@redhat.com> - 2.4.2-2
- Rebuilt for Python 3.10

* Fri May 21 2021 Dominik Mierzejewski <rpm@greysector.net> - 2.4.2-1
- update to 2.4.2 (#1937729)
- work around testsuite looking for build module in source dir
- use pytest macro

* Wed Jan 27 2021 Fedora Release Engineering <releng@fedoraproject.org> - 2.4.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_34_Mass_Rebuild

* Sun Nov 15 2020 Dominik Mierzejewski <rpm@greysector.net> - 2.4.0-1
- update to 2.4.0 (#1896835)

* Wed Nov 04 2020 Dominik Mierzejewski <rpm@greysector.net> - 2.3.0-1
- update to 2.3.0 (#1893273)
- require setuptools explicitly

* Fri Aug 07 2020 Dominik Mierzejewski <rpm@greysector.net> - 2.2.0-1
- update to 2.2.0 (#1866366)

* Thu Jul 23 2020 Dominik Mierzejewski <dominik@greysector.net> 2.1.2-1
- update to 2.1.2 (#1851376)

* Tue May 26 2020 Miro Hrončok <mhroncok@redhat.com> - 2.1.1-2
- Rebuilt for Python 3.9

* Thu Apr 23 2020 Dominik Mierzejewski <dominik@greysector.net> 2.1.1-1
- update to 2.1.1 (#1797605)
- update largefile test name to skip on 32-bit
- skip little-endian GSD file access tests on big-endian

* Thu Jan 30 2020 Fedora Release Engineering <releng@fedoraproject.org> - 1.10.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_32_Mass_Rebuild

* Sat Nov 30 2019 Dominik Mierzejewski <dominik@greysector.net> 1.10.0-1
- update to 1.10.0 (#1754636)
- skip largefile tests on 32-bit arches
- use /var/tmp instead of /tmp for test files to avoid filling up builder memory

* Sun Sep 22 2019 Dominik Mierzejewski <dominik@greysector.net> 1.9.0-1
- update to 1.9.0
- point to new upstream URLs
- switch test framework to pytest

* Mon Aug 19 2019 Miro Hrončok <mhroncok@redhat.com> - 1.5.1-7
- Rebuilt for Python 3.8

* Fri Jul 26 2019 Fedora Release Engineering <releng@fedoraproject.org> - 1.5.1-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_31_Mass_Rebuild

* Sat Feb 02 2019 Fedora Release Engineering <releng@fedoraproject.org> - 1.5.1-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_30_Mass_Rebuild

* Wed Oct 17 2018 Zbigniew Jędrzejewski-Szmek <zbyszek@in.waw.pl> - 1.5.1-4
- Subpackage python2-gsd has been removed
  See https://fedoraproject.org/wiki/Changes/Mass_Python_2_Package_Removal

* Sat Jul 14 2018 Fedora Release Engineering <releng@fedoraproject.org> - 1.5.1-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_29_Mass_Rebuild

* Tue Jun 19 2018 Miro Hrončok <mhroncok@redhat.com> - 1.5.1-2
- Rebuilt for Python 3.7

* Thu Mar 08 2018 Dominik Mierzejewski <dominik@greysector.net> 1.5.1-1
- update to 1.5.1
- include HTML documentation

* Fri Feb 23 2018 Dominik Mierzejewski <dominik@greysector.net> 1.5.0-1
- initial build

## END: Generated by rpmautospec
